# Temperature Coefficient of Resistivity
## Modifications to the lab

### Equipment:
* Python 3.4+ with numpy and matplotlib (Anaconda is the simplest way to install this.)
* pyvisa package. From an Anaconda console type 'pip install pyvisa'.
* Two Keithley 2100 DMMs. These are damned expensive, so make sure you get them back to us. 
* Two USB A-B cables.
* Hotplate. 
* Glass beaker
* Mineral oil
* thermistor (glass bead at the end of a wire, 2 connections)
* platinum wire (4 connections)

You can make do with cooking oil on a stove instead of beaker and hotplate and mineral oil, but the hotplates have stirring magnets and so on and are more convenient.

### Modifications

* The thermometer is different from the original handout. The handout refers to an LM335 thermometer, but instead you'll be using a thermistor. Look up "Steinhart-Hart equation" and "thermistor" on google to learn something about this. 
* Instead of reading the LM335 thermometer with LabVIEW you will measure the resistance of the thermometer using a 6100 DMM controlled by VISA commands.
* The program you need to run for this is resistivity.py, available where you got this document.
* For the second sample you'll just need 2-wire resistance measurements instead of 4-wire. This will require that you modify the program. This should not be hard.
* You're going to need to modify the program anyway, since the Steinhart-Hart coefficients provided in that program were generated by Dr. Ayars in his kitchen. C students should go ahead and use them, but B and A students will undoubtedly want to recalibrate the thermistor. The program contains instructions for how to do that.

## Safety, again

I really can't overemphasize this: there is fire hazard when doing this experiment unless you're careful. To quote a Panic! At the Disco lyric on heavy rotation by my kids this summer, "you can set yourself on fire." Don't let the temperature of the oil exceed 150 °C, 423 K. The mineral oil will start smelling distinctly like hot crayons at that point. At 250 °C, the oil vapor hits its flash point and you will be on the news.
